Page MenuHomePhabricator

Enable transcluding the list of changes with a specific tag
Closed, ResolvedPublic

Description

Currently, it is possible to create internal links and transclude [[Special:RecentChanges]] with certain parameters.

For example, {{Special:RecentChanges/hidepatrolled}} shows the list of recent unpatrolled edits, and {{Special:RecentChanges/days=7,limit=500}} shows the last 500 edits from the last week on the wiki. For the full list of possible parameters, see https://www.mediawiki.org/wiki/Help:Recent_changes.

However, it is currently impossible to add a tag filter this way, i.e. to show only edits with certain tags as it is done on the filtering options of the RC page.

Please make it possible to do it using {{Special:RecentChanges/tagfilter=tagname}}.

Event Timeline

Guycn2 created this task.Aug 12 2016, 10:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2016, 10:43 PM
Florian claimed this task.Aug 13 2016, 6:20 PM
Florian triaged this task as Low priority.

Change 304626 had a related patch set uploaded (by Florianschmidtwelzow):
SpecialRecentChanges: Allow tagfilter=tag as "subpage"

https://gerrit.wikimedia.org/r/304626

@Florian, thank you for the patch!

Change 304626 merged by jenkins-bot:
SpecialRecentChanges: Allow tagfilter=tag as "subpage"

https://gerrit.wikimedia.org/r/304626

Florian closed this task as Resolved.Sep 24 2016, 8:14 PM

This change is not needed, because you can give the params as template params to the special page like url parameters:

{{Special:RecentChanges|tagfilter=tagname}}

Arystanbek added a subscriber: Arystanbek.EditedOct 11 2016, 4:19 AM

This is not supported non latin script languages. For example: this
Please, fix it.

@Arystanbek: Please file a separate new task.
(The functionality to allow transcluding the list of changes with a specific tag is in place hence this task is resolved. It has bugs and does not always work correctly so separate follow-up tasks need to be filed.)
Thank you!